Skip to content
MetoHubMetoHub
Developers

API Documentation

Build custom integrations and extend the MetoHub platform.

Overview

Resources

Introduction

The MetoHub API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

Authentication

Authenticate your account when using the API by including your secret API key in the request. You can manage your API keys in the Developer Settings of your dashboard.

curl https://api.metohub.com/v1/products \
  -H "Authorization: Bearer sk_live_your_secret_key"

Sample Response (JSON)

Successful responses will always be in JSON format. Here is an example response for fetching a product list:

{
  "object": "list",
  "url": "/v1/products",
  "has_more": false,
  "data": [
    {
      "id": "prod_12345",
      "object": "product",
      "name": "Organic Bananas",
      "price": 2.99,
      "currency": "usd",
      "active": true
    }
  ]
}
Base

Tell us about yourself

Provide your details to initiate your premium online store

Base

Tell us about your brand

We will optimize your dashboard tailored to your company goals

Base

Configure store settings

Secure your brand dashboard and select your pricing plan

Your trial starts on Base. Activate your preferred paid plan from Billing after verification.

Check your inbox

Verify your account using the link emailed to your email. Please click the link to verify your email and continue setting up your store.

Didn't receive the email?

9:41
88%
Curating storefront...